# capitalizeString | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function capitalizeString

- capitalizeString(
  str: string,
  sep: string,
  lowerFirstChar?: boolean,
  returnWithSpaces?: boolean,
  ): null | string

  Capitalize a string.

  #### Parameters

  - str: string

    The string to be capitalized.

  - sep: string

    The separator between the words of the string.

  - lowerFirstChar: boolean = true

    Whether the first character of the string should be lowercase or not.

  - returnWithSpaces: boolean = false

    Whether the returned string should have spaces between the words or not.

  #### Returns null | string

  The capitalized string.

  - Defined in src/utils.ts:539